import { BlockVolume, Dimension, world } from "@minecraft/server";
import { CCTrigger } from "./Commandeer/Trigger/CCTrigger";
import { mindKeeper, triggerManager } from "./main";
import { vector3 } from "./Commandeer/utils/vectorUtils";
import { delay } from "./Commandeer/utils/waitUtil";
import { MinecraftBlockTypes } from "./vanilla-data/mojang-block";

function doNothingStupidTSIWantFilesNotAGiantAssMainFile() {
  triggerManager.RegisterFunctionTrigger("helpme", (event) => {
    world.sendMessage("Wow, this is a trigger :O");
    world.sendMessage("This was caused by " + event.player.name);
  });

  return;
}

export { doNothingStupidTSIWantFilesNotAGiantAssMainFile };
